function estimateHeight() {
  var myWidth = 0, myHeight = 0;
  if( typeof( window.innerWidth ) == 'number' ) {
    //Non-IE
    myHeight = window.innerHeight;
  } else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
    //IE 6+ in 'standards compliant mode'
    myHeight = document.documentElement.clientHeight;
  } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
    //IE 4 compatible
    myHeight = document.body.clientHeight;
  }
	return myHeight;
}


Ext.onReady(function() {
	// Define data store
	// Proto Recv-Q Send-Q Local Address           Foreign Address         State
	var store = new Ext.data.ArrayStore({
		fields: [{name: 'proto'},{name: 'recvQ'},{name: 'sendQ'},{name: 'local'},{name: 'foreign'},{name: 'state'}]
	});
	store.loadData(myData);

	// Define selector
	var sm=new Ext.grid.RowSelectionModel();

	// Create the grid
	var grid = new Ext.grid.GridPanel({
		store: store,
		height: estimateHeight()/2-60,
		columns: [
			{
				id       : 'proto',
				header   : 'Proto',
				sortable : true,
				dataIndex: 'proto'
			},
			{
				id       : 'recvQ',
				header   : 'recv-Q',
				sortable : true,
				dataIndex: 'recvQ'
			},
			{
				id       : 'sendQ',
				header   : 'send-Q',
				sortable : true,
				dataIndex: 'sendQ'
			},
			{
				id       : 'local',
				header   : 'Local Address',
				sortable : true,
				dataIndex: 'local'
			},
			{
				id       : 'foreign',
				header   : 'Foreign Address',
				sortable : true,
				dataIndex: 'foreign'
			},
			{
				id       : 'state',
				header   : 'State',
				sortable : true,
				dataIndex: 'state'
			}

		],
		stripeRows      : true,
		autoExpandColumn: 'state',
		title           : 'Network connection List',
		sm              : sm,
		stateful        : true,
		stateId         : 'curcon'
	});

	grid.render('content');
	
	// Define data store
	var store2 = new Ext.data.ArrayStore({
		fields: [{name: 'share'},{name: 'hostname'},{name: 'connected'}]
	});
	store2.loadData(myData2);

	// Define selector
	var sm2=new Ext.grid.RowSelectionModel();

	// Create the grid
	var grid2 = new Ext.grid.GridPanel({
		store: store2,
		height: estimateHeight()/2-60,
		columns: [
			{
				id       : 'share',
				header   : 'Share',
				sortable : true,
				dataIndex: 'share'
			},
			{
				id       : 'hostname',
				header   : 'Hostname',
				sortable : true,
				dataIndex: 'hostname'
			},
			{
				id       : 'connected',
				header   : 'Connected',
				sortable : true,
				dataIndex: 'connected'
			}
		],
		stripeRows      : true,
		autoExpandColumn: 'connected',
		title           : 'Network Shares',
		sm              : sm,
		stateful        : true,
		stateId         : 'curcon2'
	});

	grid2.render('shares');
	
});
